# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`golang`](#golang): Install Go

## Classes

### <a name="golang"></a>`golang`

Download and install Go programming language

#### Examples

##### 

```puppet
include golang
```

#### Parameters

The following parameters are available in the `golang` class:

* [`version`](#version)
* [`os`](#os)
* [`arch`](#arch)
* [`download_dir`](#download_dir)
* [`extract_dir`](#extract_dir)
* [`bin_dir`](#bin_dir)

##### <a name="version"></a>`version`

Data type: `String`

Version of Go to install

Default value: `'1.16.1'`

##### <a name="os"></a>`os`

Data type: `String[1]`

The GOOS to install

Default value: `downcase($facts['kernel'])`

##### <a name="arch"></a>`arch`

Data type: `String[1]`

The GOARCH to install

Default value: `$facts['os']['architecture']`

##### <a name="download_dir"></a>`download_dir`

Data type: `Stdlib::Absolutepath`

The directory of where to download Go

Default value: `'/tmp'`

##### <a name="extract_dir"></a>`extract_dir`

Data type: `Stdlib::Absolutepath`

The directory where to extract Go

Default value: `'/opt'`

##### <a name="bin_dir"></a>`bin_dir`

Data type: `Stdlib::Absolutepath`

The path to bin directory for go and gofmt symlinks

Default value: `'/usr/bin'`

